Qgis can not load sextante while starting

2012-11-06 11:17 AM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15819

Description

Since Qgis 1.9-0 Alpa, rev. 104 (ff78ef1) sextante module fails while starting QGIS.

Popup window reports:

Konnte Erweiterung sextante nicht laden wegen eines Fehler beim Aufruf seiner classFactory()-Methode

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 188, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\__init__.py", line 45, in classFactory

    from sextante.SextantePlugin import SextantePlugin

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 384, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\SextantePlugin.py", line 34, in 

    from sextante.core.Sextante import Sextante

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 384, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 19, in 

    from sextante.servertools.GeoServerToolsAlgorithmProvider import GeoServerToolsAlgorithmProvider

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 384, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named servertools.GeoServerToolsAlgorithmProvider

Python-Version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS-Version:

1.9.0-Master Master, ff78ef1

Python-Pfad: ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Users/Spieles/.qgis//python', 'C:/Users/Spieles/.qgis//python/plugins',

'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Users\\\\Spieles\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']
History

#1 - 2012-11-07 09:46 AM - Salvatore Larosa

Hi, 

since commit:f410e38 it should work !

Could you give a try and if it is working close the ticket ?

#2 - 2012-11-07 09:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2012-11-07 01:18 PM - Gerhard Spieles

- Status changed from Feedback to Closed

All Ok, it works.

Thank you!

Gerhard

#4 - 2012-11-09 07:03 AM - Gerhard Spieles

- Status changed from Closed to Reopened

Hello, since version 1.9.0alpha, rev 106 (b5a12d3), the sextante module fails again. Popup window reports now:

Konnte Erweiterung sextante nicht laden wegen eines Fehler beim Aufruf seiner classFactory()-Methode

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 188, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\__init__.py", line 46, in classFactory

    return SextantePlugin(iface)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\SextantePlugin.py", line 56, in init

    Sextante.initialize()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 130, in initialize

    Sextante.addProvider(ScriptAlgorithmProvider())

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 84, in addProvider

    Sextante.updateAlgsList()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 145, in updateAlgsList

    Sextante.loadFromProviders()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 150, in loadFromProviders

    Sextante.loadAlgorithms()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 173, in loadAlgorithms

    Sextante.updateProviders()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\Sextante.py", line 157, in updateProviders

    provider.loadAlgorithms()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\core\\AlgorithmProvider.py", line 53, in loadAlgorithms

    self._loadAlgorithms()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\script\\ScriptAlgorithmProvider.py", line 71, in _loadAlgorithms
    self.loadFromFolder(folder)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\sextante\\script\\ScriptAlgorithmProvider.py", line 74, in loadFromFolder

    for descriptionFile in os.listdir(folder):

WindowsError: [Error 3] Das System kann den angegebenen Pfad nicht finden:

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\sextante\\\\script\\\\scripts/*.*'

Python-Version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS-Version:

1.9.0-Master Master, b5a12d3

Python-Pfad: ['C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Users/Spieles/.qgis//python',

'C:/Users/Spieles/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\Users\\\\Spieles\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

#5 - 2013-02-17 11:36 PM - Sandro Santilli

See also #7176

#6 - 2013-02-17 11:49 PM - Alexander Bruy

Should work now

#7 - 2014-06-23 10:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed
